#!/bin/php
<?php
include "XMLIncomingCalls_inc.php";

// Set time limit to indefinite execution
//set_time_limit (0);

require_once(dirname(__FILE__) . "/../../config.php");
$db_name = $sugar_config['dbconfig']['db_name'];
$db_host = $sugar_config['dbconfig']['db_host_name'];
$db_username = $sugar_config['dbconfig']['db_user_name'];
$db_password = $sugar_config['dbconfig']['db_password'];

echo "Trying connect to Sugar CRM database...\n";

$db_link = mysql_connect($db_host, $db_username, $db_password, $db_name);
if( !$db_link ) {
	echo "Connect failed: ".mysql_error();
	exit();
}
echo "Established connection to Sugar CRM database.\n";

$db_selected = mysql_select_db($db_name,$db_link);
if (!$db_selected) {
	die ('Can\'t use foo : ' . mysql_error());
}

$sql = "select value from config where name='quadro_server' ".
						"or name='quadro_port' ".
						"or name='quadro_username' ".
						"or name='quadro_password' ".
						"or name='quadro_docroot'";

$printSQL = 0;
if( $printSQL ) { echo $sql."\n";}
$result=mysql_query($sql) or die ("DB error:".mysql_error($db_link)."\n");

$rowcount = mysql_num_rows($result);

$address = "";
$port = "";
$user_name = "";
$password = "";
$docroot = "";

for($i = 0; $i < $rowcount; $i++){
	$row = mysql_fetch_row($result);

	switch($i)
	{
	case 0:
		$address = $row[0];
		echo "Quadro IP: ".$address."\n";
	break;
	case 1:
		$port = $row[0];
		echo "Quadro port: ".$port."\n";
	break;
	case 2:
		$user_name = $row[0];
		echo "User Name : ".$user_name."\n";
	break;
	case 3:
		$password = $row[0];
		echo "Password : ".$password."\n";
	break;
	case 4:
		$docroot = $row[0];
		echo "Doc root dir : ".$docroot."\n";
	break;
	}
}

mysql_close($db_link);

$filepath = dirname(__FILE__)."/";

$exitstfile = $filepath."/exitstatus.txt";
if (is_writable($exitstfile)) {	
	unlink($exitstfile);				
}

$sock = socket_create(AF_INET, SOCK_STREAM, 0);

if( $sock === FALSE ) {
	echo "Error create socket.\n";
	exit(0);
}

echo "Trying connect to Quadro...\n";
if( !socket_connect($sock,$address,$port) ) {
	echo "Connection to Quadro failed.\n";
	exit(0);
}
echo "Established connection to Quadro.\n";

socket_set_block($sock);

// SendSubscribtionRequest
$net = new XMLIncomingCalls ($sock, $address, $port, $user_name, $password, $filepath );

$net->ResetAll();

if( !$net->Authenticate() ) {
	echo "Cannot connect, wrong username or password.";	
	exit(0);
} else {
	echo "Connected to: ".$address."\n";
}

//
$arrSubscriptions = array();

$call_count = 0;

$clients = array($sock);
$arrFilesTimeouts = array();
$arrOutFilesTimeouts = array();

echo "Date: ".date("F j, Y, g:i a")."\n";

// Loop continuously
while (true) {

	$arrExtensions = $net->GetAllListenExtensions($filepath);
	
	foreach($arrExtensions as $key => $value) {
		
		if( array_search($value, $arrSubscriptions) === FALSE ) {
			array_push($arrSubscriptions, $value);
			$extName = $arrExtensions[$key];
			echo "Subscribe extension: ".$extName."\n";
			$net->IncomingCallHandling(trim($extName), true);			
		} 
	}
	
	foreach($arrSubscriptions as $key => $value) {
		
		if( array_search($value, $arrExtensions) === FALSE ) {
			$extName = $arrSubscriptions[$key];
			echo "Unsubscribe extension: ".$extName."\n";
			$net->IncomingCallHandling(trim($extName), false);
			unset($arrSubscriptions[$key]);				
		}
	}

	$rdArr = $clients;

    // Set up a blocking call to socket_select()
	$write = NULL;
	$except = NULL;
	//$timeout = NULL;
	
	//$rdArr = array($sock,$sockUDP);
	//$rdArr = array($sock);

	socket_select($rdArr,$write,$except,array("sec" => 10, "usec" => 0));
	
	if (in_array($sock, $rdArr)) {
		// remove the listening socket from the clients-with-data array
		//$key1 = array_search($sock, $rdArr);
		//unset($rdArr[$key1]);		

		$input = socket_read($sock, 4096);
	
		if ($input == null) {
			// Zero length string meaning disconnected
			unset($sock);
			echo "Zero length string meaning disconnected";
		}
		$n = trim($input);
		if ($input == 'exit') {
			// requested disconnect
			socket_close($sock);
			echo "requested disconnect";
			exit(0);
		} elseif ($input) {
			// strip white spaces and write back to user
			//$output = ereg_replace("[ \t\n\r]","",$input).chr(0);
			$output = $input;
			
			echo "\nXML_begin\n".$output."XML_end\n\n";
			//socket_write($sock,$output);
			
			// parse it here and save caller info to file on server.
			$net->ParseIncomingCall($filepath,$output,$db_host,$db_username,$db_password,$arrSubscriptions,$call_count);
		}
	} else {
	
		// check fot exit
				
		$file = $filepath."/exitstatus.txt";
		
		if (is_writable($file)) {	
			$handle = fopen($file, "r");
			if ( filesize($file) != 0 ) {	
				$content = fread($handle, filesize($file));
				if($content == "exit") {
					// requested disconnect
					fclose($handle);
					unlink($file);	
					socket_close($sock);
					echo "Requested disconnect.\n";
					exit(0);			
				}
			}	
			fclose($handle);	
		}

		$file = $filepath."/calltransfer.txt";
		
		if (is_writable($file)) {	
			
			$handle = fopen($file, "r");
			
			if ( filesize($file) != 0 ) {	
				
				$content = fread($handle, filesize($file));	
				fclose($handle);
				unlink($file);
				
				// content format is: to*tranfer_to

				$pos = strpos($content,"*");
				$to = substr($content, 0, $pos);
				$transfer_to = substr($content, $pos+1, strlen($content));
				
				$from = "00";

				echo "Temprorary unsubscribe extension: ".$to."\n";
				$net->IncomingCallHandling(trim($to), false);

				$net->Transfer($from,$to,$transfer_to);
			} else {	
				if($handle) {
					fclose($handle);	
				}
			}
		}
	
		//echo "Call count=".$call_count."\n";

		if($call_count) { // incoming call count

			// get file list
			
			$filearr = array();
			$i = 0;
			
			if ($handle = opendir($filepath."/calls/")) {
				 while (false !== ($file = readdir($handle))) {
					 
					 if ( is_file($filepath."/calls/".$file) ) {
						 //echo "call id file: ".$file."\n";
						 $filearr[$i] = $file;
						 $i++;
					 }
				 }
				 closedir($handle);
			}
		
			//echo "Available file count=".$i."\n";
				
			foreach($filearr as $key => $value) {
				
				$filename = $filearr[$key];		
				echo "Trying send XML response...\n";
								
				if( !$net->MultiArraySearch($filename, $arrFilesTimeouts) ) {
					$arrFilesTimeouts[$filename] = microtime(true);
					//print_r($arrFilesTimeouts);			
				} else {
					$totalTime = microtime(true) - $arrFilesTimeouts[$filename];
					//echo "Total time=".$totalTime."\n";
					if( $totalTime > 10 ) { // configuable timeout
						// delete file callid(763567247246746).txt and callid from callids.txt
						$net->CleanupFiles($filepath,$filename);
						$callid_tmp = substr($filename,0,strlen($filename)-4);
						echo "Call: ".$callid_tmp." expired.\n";
						unset($arrFilesTimeouts[$filename]);
						$call_count--;
						
						continue;
					}
				}
					
				if( $net->SendCallResponse($filepath,$filename) === true ) {
					echo "XML response sent successfully.\n";
					unset($arrFilesTimeouts[$filename]);
					$call_count--;
				}
			}
		}

		// get file list
			
		$arrOutFiles = array();
		$i = 0;
			
		if ($handle = opendir($filepath."/out_calls/")) {
			while (false !== ($file = readdir($handle))) {
					 
				if ( is_file($filepath."/out_calls/".$file) ) {
					//echo "call id file: ".$file."\n";
					$arrOutFiles[$i] = $file;
					$i++;
				}
			}
			closedir($handle);
		}
		
		//echo "Available out file count=".$i."\n";
				
		foreach($arrOutFiles as $key => $value) {
				
			$filename = $arrOutFiles[$key];		
			//echo "Trying delete outgoing call extension file\n";
								
			if( !$net->MultiArraySearch($filename, $arrOutFilesTimeouts) ) {
				$arrOutFilesTimeouts[$filename] = microtime(true);
				//print_r($arrFilesTimeouts);			
			} else {
				$totalTime = microtime(true) - $arrOutFilesTimeouts[$filename];
				//echo "Total time=".$totalTime."\n";
				if( $totalTime > 10 ) {
					// delete file extension(11).txt
					unlink($filepath."/out_calls/".$filename);					
					unset($arrOutFilesTimeouts[$filename]);						
				}
			}
		}
	} // end else
} // end while
// Close the master socket
socket_close($sock);
unset($sock);
?> 
